Ptex: PtexReader::FaceData Class Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
PtexReader::FaceData Class Referenceabstract

`#include <PtexReader.h>`

Inheritance diagram for PtexReader::FaceData:

## Public Member Functions
| FaceData (void **parent, PtexCacheImpl *cache, Res res, int size)
virtual void | release ()
| Release resources held by this pointer (pointer becomes invalid). More...
virtual Ptex::Res | res ()
| Resolution of the texture held by this data block. More...
virtual void | reduce (FaceData *&, PtexReader *, Res newres, PtexUtils::ReduceFn)=0
Public Member Functions inherited from PtexCachedData
| PtexCachedData (void **parent, PtexCacheImpl *cache, int size)
void | ref ()
void | unref ()
Public Member Functions inherited from PtexLruItem
bool | inuse ()
void | orphan ()
Public Member Functions inherited from PtexFaceData
virtual bool | isConstant ()=0
| True if this data block is constant. More...
virtual void | getPixel (int u, int v, void *result)=0
| Read a single texel from the data block. More...
virtual void * | getData ()=0
| Access the data from this data block. More...
virtual bool | isTiled ()=0
| True if this data block is tiled. More...
virtual Ptex::Res | tileRes ()=0
| Resolution of each tile in this data block. More...
virtual PtexFaceData * | getTile (int tile)=0
| Access a tile from the data block. More...

## Protected Attributes
Res | _res
Protected Attributes inherited from PtexCachedData
PtexCacheImpl * | _cache

## Additional Inherited Members
Static Public Member Functions inherited from PtexLruItem
template<typename T >
static void | orphanList (T &list)
Protected Member Functions inherited from PtexCachedData
void | incSize (int size)
virtual | ~PtexCachedData ()
Protected Member Functions inherited from PtexLruItem
| PtexLruItem (void **parent=0)
virtual | ~PtexLruItem ()
Protected Member Functions inherited from PtexFaceData
virtual | ~PtexFaceData ()
| Destructor not for public use. Use release() instead. More...

## Detailed Description

Definition at line 290 of file PtexReader.h.

## Constructor & Destructor Documentation

PtexReader::FaceData::FaceData | ( | void ** | parent,
|  | PtexCacheImpl * | cache,
|  | Res | res,
|  | int | size
| ) |  |
| inline

Definition at line 292 of file PtexReader.h.

## Member Function Documentation

virtual void PtexReader::FaceData::reduce | ( | FaceData *& | ,
|  | PtexReader * | ,
|  | Res | newres,
|  | PtexUtils::ReduceFn |
| ) |  |
| pure virtual

Referenced by PtexReader::getData().

virtual void PtexReader::FaceData::release | ( |  | ) |
| inlinevirtual

Release resources held by this pointer (pointer becomes invalid).

Implements PtexFaceData.

Reimplemented in PtexReader::TiledFaceBase.

Definition at line 294 of file PtexReader.h.

virtual Ptex::Res PtexReader::FaceData::res | ( |  | ) |
| inlinevirtual

Resolution of the texture held by this data block.

Note: the indicated texture res may be larger than 1x1 even if the texture data is constant.

Implements PtexFaceData.

Definition at line 295 of file PtexReader.h.

## Member Data Documentation

Res PtexReader::FaceData::_res
| protected

Definition at line 299 of file PtexReader.h.

The documentation for this class was generated from the following file:

- PtexReader.h